do_exporters: False

# Dashboards to provision, deploying Grafana
grafana_dashboards:
- Apache
- Ansible_Operator
- BigBlueButton
- BlueMind
- BlueMind_Full
- Cassandra
- Ceph_Cluster
- Ceph_Cluster_Details
- Ceph_MDS
- Ceph_OSD
- Ceph_OSD_Performance
- Ceph_Pool
- Ceph_Pool_Details
- Ceph_RBD
- Ceph_RGW
- Ceph_RGW_Buckets
- Ceph_RGW_Details
- Cert_Manager
- CodiMD
- Docker_Engine
- Docker_Registry
- ElasticSearch
- Fail2ban
- Fluentd
- FreeSwitch
- Gitea
- Go_Applications
- Grafana
- HAProxy
- Jitsi_Meet
- Kibana
- Kubernetes_Backups
- Kubernetes_Capacity_Planning
- Kubernetes_Clusters
- Kubernetes_Clusters_Health
- Kubernetes_Clusters_Status
- Kubernetes_Kubelet
- Kubernetes_Networking
- Kubernetes_Networking_Details
- Kubernetes_Nodes
- Kubernetes_Pods
- Mattermost
- Mattermost_Bonus
- Mattermost_Performance
- Memcached
- MinIO
- MongoDB
- MongoDB_Overview
- MongoDB_ReplSet
- MongoDB_WiredTiger
- MySQL_InnoDB_Compression
- MySQL_InnoDB_Metrics
- MySQL_InnoDB_Metrics_Advanced
- MySQL_Overview
- MySQL_Performance_Schema
- MySQL_Table_Statistics
- MySQL_Wait_Event_Analyses
- Nginx
- NextCloud
- Nexus
- NodeJS_Applications
- NodeJS_Metrics
- OpenLDAP
- PaceMaker
- PaceMaker_MultiCluster
- PeerTube
- Postfix
- Postgres
- Prometheus
- Python_Starlette
- Redis
- RocketChat
- S3_Bucket
- SonarQube
- Squid
- Tekton_PipelineRuns
- Tekton_TaskRuns
- Thanos
- Thanos_Compact
- Thanos_Query
- Thanos_Query_Frontend
- Thanos_Receive
- Thanos_Rule
- Thanos_Sidecar
- Thanos_Store
- Traefik2
- Transmission
# disabled for now, as I do not have corresponding deployments to
# grab metrics from ...
#- MongoDB_Cluster_Summary (too "cluster-y"/I'm sticking with replsets)
#- MongoDB_InMemory (using wiredtiger exclusively)
#- MongoDB_MMAPv1 (using wiredtiger exclusively)
#- MongoDB_RocksDB (using wiredtiger exclusively)
#- MySQL_MySQL_Query_Response_Time (need to figure out where those mysql_info_schema_query_* & mysql_info_schema_write_* metrics came from)
#- MySQL_Replication (pending tests with Percona / only checked MariaDB so far)
#- MySQL_User_Statistics (need to figure out where those mysql_info_schema_user_* metrics came from)

# Product to dashboard map
grafana_dashboards_by_product:
  apache:
  - apache
  backups:
  - kubernetesbackups
  bigbluebutton:
  - bigbluebutton
  bluemind:
  - bluemind
  - bluemindfull
  cassandra:
  - cassandra
  ceph:
  - cephcluster
  - cephclusterdetails
  - cephmds
  - cephosd
  - cephosdperformance
  - cephpool
  - cephpooldetails
  - cephrbd
  - cephrgw
  - cephrgwbuckets
  - cephrgwdetails
  codimd:
  - nodejsapplications
  - nodejsmetrics
  - codimd
  docker:
  - dockerengine
  elasticsearch:
  - elasticsearch
  fluentd:
  - fluentd
  gitea:
  - gitea
  - goapplications
  go:
  - goapplications
  grafana:
  - grafana
  haproxy:
  - haproxy
  kibana:
  - kibana
  kubernetes:
  - kubernetesbackups
  - kubernetescapacityplanning
  - kubernetesclusters
  - kubernetesclustershealth
  - kubernetesclustersstatus
  - kuberneteskubelet
  - kubernetesnetworking
  - kubernetesnetworkingdetails
  - kubernetesnodes
  - kubernetespods
  mattermost:
  - goapplications
  - mattermost
  - mattermostpref
  - mattermostbonus
  memcached:
  - memcached
  minio:
  - minio
  mongodb:
  - mongodb
  - mongodboverview
  - mongodbreplset
  - mongodbwiredtiger
  mysql:
  - mysqlinnodbcompression
  - mysqlinnodbmetrics
  - mysqlinnodbmetricsadvanced
  - mysqloverview
  - mysqlperformanceschema
  - mysqltablestatistics
  - mysqlwaiteventanalyses
  nextcloud:
  - apache
  - nextcloud
  nexus:
  - nexus
  nodejs:
  - nodejsapplications
  - nodejsmetrics
  openldap:
  - openldap
  peertube:
  - peertube
  postfix:
  - postfix
  postgres:
  - postgres
  prometheus:
  - prometheus
  pystarlette:
  - pythonstarlette
  radosgw:
  - cephrgwbuckets
  redis:
  - redis
  registry:
  - dockerregistry
  rocketchat:
  - nodejsapplications
  - nodejsmetrics
  - rocketchat
  s3:
  - s3bucket
# sabnzbd:
# - sabnzbd
  sonarqube:
  - sonarqube
  squid:
  - squid
  tekton:
  - tektonpipelineruns
  - tektontaskruns
  thanos:
  - thanoscompact
  - thanosoverview
  - thanosquery
  - thanosqueryfrontend
  - thanosreceive
  - thanosrule
  - thanossidecar
  - thanosstore
  transmission:
  - transmission

prometheus_rules:
- apache
- blackbox
- bigbluebutton
- bluemind
- cadvisor
- cassandra
- ceph
- consul
- coredns
- cortex
- docker
- elasticsearch
- etcd
- fluentd
- freeswitch
#- haproxy-v1
- haproxy-v2
- java
- jenkins
- jobs
- kafka
- kibana
- kube-state-metrics
- kurento
- linkerd
- loki
- minio
- mongodb
- mtail
- mysql
- netdata
- nextcloud
- nexus
- nginx
- nodes
- onlyoffice
- openldap
- pacemaker
- peertube
- pgbouncer
- pods
- postfix
- postgres
- prometheus
- pythonstarlette
- rabbitmq
- redis
- s3
- sidekick
- solr
- speedtest
- thanos
- traefik-v1
- traefik-v2
- vault
- zookeeper
